<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
                xmlns:custom="http://schemas.android.com/apk/res-auto"
                xmlns:tools="http://schemas.android.com/tools"
                xmlns:emojicon="http://schemas.android.com/apk/res-auto"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingRight="40dp"
                android:layout_marginTop="6dp"
                android:layout_marginBottom="6dp"
                android:paddingTop="13dp">

    <RelativeLayout
        style="@style/LeftChatItemRelativeLayout"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <TextView
            android:id="@+id/chat_item_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/colorManatee"
            android:textSize="10sp"
            tools:ignore="SmallSp"
            tools:text="15:23" />

        <ImageView
            android:id="@+id/chat_item_file"
            android:layout_width="wrap_content"
            android:layout_height="90dp"
            android:layout_below="@id/chat_item_time"
            android:layout_marginTop="4dp"
            android:adjustViewBounds="true"
            android:contentDescription="@null"
            android:scaleType="fitStart"
            android:visibility="gone" />

        <TextView
            android:id="@+id/chat_item_file_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="95dp"
            android:visibility="gone"
            android:layout_below="@+id/chat_item_time"
            android:textColor="@color/colorBlack" />

        <com.github.lzyzsd.circleprogress.DonutProgress
            android:id="@+id/chat_item_progress"
            android:layout_width="90dp"
            android:layout_height="90dp"
            android:layout_below="@id/chat_item_time"
            android:layout_marginTop="4dp"
            android:visibility="gone"
            custom:donut_finished_color="@color/colorDefault"
            custom:donut_text_color="@color/colorBlack" />

        <hani.momanii.supernova_emoji_library.Helper.EmojiconTextView
            android:id="@+id/chat_item_message"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            emojicon:emojiconSize="20sp"
            android:textColor="@color/colorBlack"
            android:layout_below="@id/chat_item_file"
            style="@style/BaseChatItemText"
            tools:text="Meine Freundin, die Maschine. Als sie mein Herz für sich gewann. Mit ihren ganzen kleinen Geschwistern, mit denen man alles machen kann." />
    </RelativeLayout>

</RelativeLayout>